<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.ssj.service.mapper.LearningGrowthReportMapper">
    <select id="findWeeklyReport4UpdateKnowledgeSituation"
            resultType="com.ssj.bean.sys.homework.domain.StudentWeeklyReport">
        select * from scon_student_weekly_report
    </select>

    <select id="findWeeklyReportByVipIdAndSubjectAndBeginDate"
            resultType="com.ssj.bean.sys.homework.domain.StudentWeeklyReport">
        select * from scon_student_weekly_report where vip_id = #{vipId} and subject = #{subject} and begin_date = #{beginDate}
    </select>

    <select id="findWeeklyReportByVipIdAndBeginDate"
            resultType="com.ssj.bean.sys.homework.domain.StudentWeeklyReport">
        select * from scon_student_weekly_report where vip_id = #{vipId} and begin_date = #{beginDate}
    </select>
</mapper>